Class SlowTextSearcher
java.lang.Object
com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
com.atlassian.jira.dev.customfields.SlowTextSearcher
- All Implemented Interfaces:
CustomFieldSearcher,NaturallyOrderedCustomFieldSearcher,IssueSearcher<CustomField>
public class SlowTextSearcher
extends AbstractInitializationCustomFieldSearcher
implements CustomFieldSearcher, NaturallyOrderedCustomFieldSearcher
This is a copy of
TextSearcher,
but instead of SortableTextCustomFieldIndexer it uses
SlowFieldIndexer.-
Field Summary
Fields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
log -
Constructor Summary
ConstructorsConstructorDescriptionSlowTextSearcher(FieldVisibilityManager fieldVisibilityManager, JqlOperandResolver jqlOperandResolver, CustomFieldInputHelper customFieldInputHelper, BarrierFactory barrierFactory) -
Method Summary
Modifier and TypeMethodDescriptionProvides an object that can be used to handle the clauses that this searcher generates.Provides an object that contains information about the Searcher.Provides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.Provides an object that will allow you to render the edit and view html for a searcher.getSortField(CustomField customField) Return the name of the Lucene field to use for ordering.org.apache.lucene.search.SortField.TypeReturns thetypeto use when sorting on the values of this custom field.voidinit(CustomField field) This is the first time the searcher knows what its ID and names areMethods inherited from class com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
getDescriptor, initMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface com.atlassian.jira.issue.customfields.CustomFieldSearcher
getDescriptor, init
-
Constructor Details
-
SlowTextSearcher
public SlowTextSearcher(FieldVisibilityManager fieldVisibilityManager, JqlOperandResolver jqlOperandResolver, CustomFieldInputHelper customFieldInputHelper, BarrierFactory barrierFactory)
-
-
Method Details
-
init
This is the first time the searcher knows what its ID and names are- Specified by:
initin interfaceIssueSearcher<CustomField>- Parameters:
field- the Custom Field for this searcher
-
getSearchInformation
Description copied from interface:IssueSearcherProvides an object that contains information about the Searcher.- Specified by:
getSearchInformationin interfaceIssueSearcher<CustomField>- Returns:
- the search information provider for this searcher.
-
getSearchInputTransformer
Description copied from interface:IssueSearcherProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.- Specified by:
getSearchInputTransformerin interfaceIssueSearcher<CustomField>- Returns:
- the search input handler for this searcher.
-
getSearchRenderer
Description copied from interface:IssueSearcherProvides an object that will allow you to render the edit and view html for a searcher. This also provides methods that indicate if the view and edit methods should be invoked.- Specified by:
getSearchRendererin interfaceIssueSearcher<CustomField>- Returns:
- the search renderer for this searcher.
-
getCustomFieldSearcherClauseHandler
Description copied from interface:CustomFieldSearcherProvides an object that can be used to handle the clauses that this searcher generates.- Specified by:
getCustomFieldSearcherClauseHandlerin interfaceCustomFieldSearcher- Returns:
- an object that can be used to handle the clauses that this searcher generates, can be null.
-
getSortField
Description copied from interface:NaturallyOrderedCustomFieldSearcherReturn the name of the Lucene field to use for ordering. This will normally be just the field, .i.e customField.getId() but some searchers, e.g. TextSearcher, store additional fields to support sorting.- Specified by:
getSortFieldin interfaceNaturallyOrderedCustomFieldSearcher- Parameters:
customField- The custom field to be searched- Returns:
- The Lucene field name to use for ordering.
-
getSortFieldType
public org.apache.lucene.search.SortField.Type getSortFieldType()Description copied from interface:NaturallyOrderedCustomFieldSearcherReturns thetypeto use when sorting on the values of this custom field. This also necessitates adding NumericDocValues to documents for numeric and date data types, and SortedDocValues for string types at indexing time.- Specified by:
getSortFieldTypein interfaceNaturallyOrderedCustomFieldSearcher- Returns:
- type to expect when sorting values of this custom field.
-